!set title=Dos lados agudos
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=es
leftrange=-5.000000
rightrange=5.000000
author=Gang XIAO
email=xiao@unice.fr
computeanswer=no
precision=10000

ansorder=r
varcnt=18
prevarcnt=17
postvarcnt=0
replycnt=1
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randint 10, 40

val6=$[rint($(tmp0))]
tmp0=!randint 10, 40

val7=$[rint($(tmp0))]
val8=$[rint(max($val6,$val7))]
val9=$[rint(min($val6,$val7))]

!ifval $val6>$val7
val10=AB
!else
val10=BC
!endif

!ifval $val6>$val7
val11=BC
!else
val11=AB
!endif
val12=$[sqrt($val8^2+$val9^2)]
val13=$[sqrt($val8^2-$val9^2)]
val14=$[rint((ceil($val12)-1) - (floor($val13)+1) + 1)]
val15=$[rint(($val6+$val7-1) - (floor($val12)+1) + 1)]
val16=$[rint((ceil($val13)-1) - ($val8-$val9+1) + 1)]

!ifval $val16<0
val16=$[rint(0)]
!endif
tmp0=!randitem 1,2

val17=$[rint($(tmp0))]
tmp0=!item $val17 of agudos, obtusos

val18=$(tmp0)
tmp0=!item $val17 of $val14,$val15+$val16

val19=$[rint($(tmp0))]

!ifval $val17=1
val20=Para que ABC sea un triángulo agudo, AC debe ser mayor que	sqrt($val10<sup>2</sup>-$val11<sup>2</sup>)=$val13 y menor que	sqrt(AB<sup>2</sup>+BC<sup>2</sup>)=$val12, por el teorema de Pitágoras.	
!endif

!ifval $val17=2
val20=Para que ABC sea un triángulo, AC debe ser al menos	$val8-$val9+1 y como mucho $val6+$val7-1. <p>	Cuando $val10 es el lado más largo del triángulo, AC debe ser menor de $val13 por	el teorema de Pitágoras. Cuando AC es el lado más largo, debe ser mayor que $val12,	de nuevo por el teorema de Pitágoras.<p>	Por tanto hay $val16 (resp. $val15) triángulos obtusos cuyo 	lado más largo es $val10 (resp. AC)
!endif
replytype1=default
replyname1=Número de triángulos
replygood1=$val19
question=__EXECUTED_1692754_EXERCISE__
solution=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()¿Cuántos triángulos ABC $val18 hay, donde	<p><center>	    AB = $val6 , BC = $val7 , AC = un entero?	</center>
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()$val20
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=6,7,18,20
embedcnt=0
